<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateContractsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contracts', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('branch_id')->nullable();
            $table->unsignedInteger('parent_id')->nullable();
            $table->unsignedInteger('scale_id')->nullable();
            $table->unsignedInteger('designation_id')->nullable();
            $table->unsignedInteger('user_id')->nullable();
            $table->timestamp('start_date')->nullable();
            $table->timestamp('end_date')->nullable();
            $table->double('basic_salary')->nullable();
            $table->string('location')->nullable();
            $table->enum('status', ['Active','Deactive'])->default('Deactive');

            $table->enum('is_recycle', ['0','1','2'])->default('0');

            $table->string('contract_form')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contracts');
    }
}
